BATTERY-GRAPH(1)

NAME
battery-graph - Show a graph of the battery charge

SYNOPSIS
battery-graph [options] [files...]

DESCRIPTION
Show a graph of the battery charge over time.

The files given are assumed to contain battery statistics in the battery-stats(5) format. If no files are specified, the default log files will be used.

The options can be used for displaying a different interval. An interval is defined in terms of a from timestamp, a to timestamp and a duration. By specifying any two, the third will be calculated automatically. A missing duration will be defaulted to 3 hours.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-g geometry, --geometry geometry
    Sets the X Windows geometry of the graph. This disables text mode. See X(7) for how to specify the geometry.

-D display, --display display
    Shows the graph on the given display. The same effect can be achieved by setting the DISPLAY environment variable. This disables text mode. See X(7) for valid values.

--title string
    Sets the title of the graph window. By default this will be "Battery Graph". If this is set to the empty string, gnuplot(1) will be allowed set the window title - this can be useful if you want your ~/.Xdefaults to take effect for this.

-f date, --from date
    Specifies the start date/time for the graph. This accepts exactly the same date/time specifications as the date (1) command - see examples below or the Texinfo manual for date for details.

-t date, --to date
    Specifies the ending date/time for the graph. This accepts exactly the same date/time specifications as the date (1) command - see examples below or the Texinfo manual for date for details.

-s date, --since date
    Shorthand for --from date --to now

-d duration, --duration duration
    Specifies the duration for the graph. This can be given in units of seconds, hours, days or weeks by suffixing the number with 's' (seconds), 'm' (minutes), 'h' (hours), 'd' (days) or 'w' (weeks).
    Units cannot be combined - e.g. '1d6h' will not be valid, whereas '30h' is OK. If no unit is specified, minutes will be assumed.

--text
    Shows the graph in text mode on stdout. The resulting size of the graph is determined by the values of the environment variables. LINES and COLUMNS (failing that, the output from tput will be used). This is the default when the environment variable DISPLAY is not set.

EXAMPLES

Show the last 2 hours:
    $ battery-graph --duration 2h

Show the time since mid day:
    $ battery-graph --from 12:00 --to now
    or
    $ battery-graph --since 12:00

Show the hour before last:
    $ battery-graph --from '2 hours ago' --duration 1h

Show the 6 hours after noon:
    $ battery-graph --from 12:00 --duration 6h
    or
    $ battery-graph --from 12:00 --to 18:00

Show the last 6 hours
    $ battery-graph --from '6 hours ago'
    or
    $ battery-graph --since '6 hours ago'

Show the last 30 minutes in text mode:
    $ battery-graph --duration 30 --text

Show statistics for Tuesday last week
    $ battery-graph --duration 24h --from 'tuesday last week'
    or
    $ battery-graph --duration 1d --from 'tuesday last week'

Prove that the future hasn't happened yet:
    $ battery-graph --from yesterday --to tomorrow

Another way of wasting CPU cycles:
    $ battery-graph /dev/null

EXIT STATUS
battery-graph depends on gnuplot (1) to give the correct exit status.

FILES
If no files are given on the command line, batter-graph reads from /var/log/battery-stats

ENVIRONMENT

DISPLAY
    If this variable is not set, --text will be defaulted.

LINES / COLUMNS
    Determines the size of the graph in text mode.

DIAGNOSTICS
If there are no statistics available for the period chosen, an empty graph will result.

NOTES
There is no requirement for the from time to be earlier than the to time - if so, the X axis will be reversed. Similar results can be achieved using a negative duration.

Also: battery-stat is quite happy to list statistics in the future; stupid, but obedient.

AUTHOR
This manual page was written by Karl E. Jorgensen <karl@jorgensen.com>, for the Debian GNU/Linux system (but may be used by others).

SEE ALSO
battery-stats (5),
date (1),
battery-stats-collector (8)
Newer versions of this program may (or may not) be available at http://karl.jorgensen.com/battery-stats